
from Baseline import get_baseline_class
from CellData import CellData, icelldata_of_dir
from models.LIFACnoise import LifacNoiseModel
from Baseline import BaselineCellData, BaselineModel
from os import listdir
import numpy as np
from IPython import embed
import pyrelacs.DataLoader as Dl
from ModelFit import ModelFit
from FiCurve import FICurveModel
import os
import matplotlib.pyplot as plt
vs = []
for cell in icelldata_of_dir("invivo_data/"):
    base = BaselineCellData(cell)

    vs.append(base.get_burstiness())

bins = np.arange(0, 1.05, 0.05)
plt.hist(vs, bins=bins)
plt.show()
quit()


for cell_data in icelldata_of_dir("data/"):
    baseline = get_baseline_class(cell_data)

    baseline.get_burstiness()